package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="表列权限")
public class DilTableColumnRole implements IBasePO<BigDecimal> {
    /**
     * 主键ID(PRIMARY_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal primaryId;

    /**
     * 表名(TABLE_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="表名",required=false)
    private String tableName;

    /**
     * 列名(COLUMN_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="列名",required=false)
    private String columnName;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.primaryId;
    }

    @Override
    public void setId(BigDecimal primaryId) {
        this.primaryId = primaryId;
    }

    public BigDecimal getPrimaryId() {
        return primaryId;
    }

    public void setPrimaryId(BigDecimal primaryId) {
        this.primaryId = primaryId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName == null ? null : tableName.trim();
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName == null ? null : columnName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", primaryId=").append(primaryId);
        sb.append(", tableName=").append(tableName);
        sb.append(", columnName=").append(columnName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}